package com.bonus.canteen.core.menu.service;

import java.util.List;
import java.util.Set;

import com.baomidou.mybatisplus.extension.service.IService;
import com.bonus.canteen.core.menu.domain.MapBean;
import com.bonus.canteen.core.menu.domain.MenuDishes;
import com.bonus.canteen.core.menu.dto.DishesImportCheckResult;
import com.bonus.canteen.core.menu.dto.MenuDishesDTO;
import com.bonus.canteen.core.menu.dto.MenuDishesImportDTO;
import org.springframework.web.multipart.MultipartFile;

/**
 * 菜品信息Service接口
 *
 * @author xsheng
 * @date 2025-04-03
 */
public interface IMenuDishesService extends IService<MenuDishes> {
    /**
     * 查询菜品信息
     *
     * @param id 菜品信息主键
     * @return 菜品信息
     */
    public MenuDishes selectMenuDishesById(Long id);

    /**
     * 查询菜品信息列表
     *
     * @param menuDishes 菜品信息
     * @return 菜品信息集合
     */
    public List<MenuDishes> selectMenuDishesList(MenuDishes menuDishes);

    /**
     * 新增菜品信息
     *
     * @param menuDishes 菜品信息
     * @return 结果
     */
    public int insertMenuDishes(MenuDishes menuDishes);

    /**
     * 修改菜品信息
     *
     * @param menuDishesDTO 菜品信息
     * @return 结果
     */
    public int updateMenuDishes(MenuDishesDTO menuDishesDTO);

    /**
     * 批量删除菜品信息
     *
     * @param ids 需要删除的菜品信息主键集合
     * @return 结果
     */
    public int deleteMenuDishesByIds(Long[] ids);

    /**
     * 删除菜品信息信息
     *
     * @param id 菜品信息主键
     * @return 结果
     */
    public int deleteMenuDishesById(Long id);

    List<MapBean> getDishesType(MapBean mapBean);

    int addMenuDishes(MenuDishesDTO menuDishesDTO);

    MenuDishes check(MenuDishesDTO menuDishesDTO);

    DishesImportCheckResult importDishesCheck(MultipartFile excel);

    Boolean newImportDishes(List<MenuDishesImportDTO> request);

    List<MenuDishes> getByNames(Set<String> dishesNames);

}
